## org.eclipse.datatools.modelbase.sql.xml.query
Interface XMLValueFunctionComment

All Superinterfaces:
  org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, QueryValueExpression, SQLObject, SQLQueryObject, ValueExpression, ValueExpressionAtomic, ValueExpressionFunction, XMLValueFunction

    public interface XMLValueFunctionComment

extends XMLValueFunction

A representation of the model object 'XML Value Function Comment'. Generates an XML comment value from a string expression. See ISO SQL/XML sec. 6.10.

The following features are supported:

- `Returning Option`
- `Comment Content`

See Also:
  `SQLXMLQueryModelPackage.getXMLValueFunctionComment()`

Method Summary
`XMLValueFunctionCommentContent` `getCommentContent()` Returns the value of the 'Comment Content' containment reference.
`XMLReturningType` `getReturningOption()` Returns the value of the 'Returning Option' attribute.
`void` `setCommentContent(XMLValueFunctionCommentContent value)` Sets the value of the '`Comment Content`' containment reference.
`void` `setReturningOption(XMLReturningType value)` Sets the value of the '`Returning Option`' attribute.

Methods inherited from interface org.eclipse.datatools.modelbase.sql.query.ValueExpressionFunction
`getFunction, getParameterList, isColumnFunction, isDistinct, isSpecialRegister, setColumnFunction, setDistinct, setFunction, setSpecialRegister`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.query.QueryValueExpression

`getBasicLeft, getBasicRight, getBetweenLeft, getBetweenRight1, getBetweenRight2, getCallStatement, getDataType, getGroupingExpr, getInValueListLeft, getInValueListRight, getInValueRowSelectLeft, getInValueSelectLeft, getLikeEscape, getLikeMatching, getLikePattern, getNest, getOrderByValueExpr, getPredicateNull, getQuantifiedRowSelectLeft, getQuantifiedValueSelectLeft, getResultColumn, getTableFunction, getUnaryOperator, getUpdateSourceExprList, getValueExprCaseElse, getValueExprCaseSearchContent, getValueExprCaseSimple, getValueExprCaseSimpleContentResult, getValueExprCaseSimpleContentWhen, getValueExprCast, getValueExprCombinedLeft, getValueExprCombinedRight, getValueExprFunction, getValueExprLabeledDuration, getValueExprRow, getValuesRow, setBasicLeft, setBasicRight, setBetweenLeft, setBetweenRight1, setBetweenRight2, setCallStatement, setDataType, setGroupingExpr, setInValueListLeft, setInValueListRight, setInValueRowSelectLeft, setInValueSelectLeft, setLikeEscape, setLikeMatching, setLikePattern, setNest, setOrderByValueExpr, setPredicateNull, setQuantifiedRowSelectLeft, setQuantifiedValueSelectLeft, setResultColumn, setTableFunction, setUnaryOperator, setUpdateSourceExprList, setValueExprCaseElse, setValueExprCaseSearchContent, setValueExprCaseSimple, setValueExprCaseSimpleContentResult, setValueExprCaseSimpleContentWhen, setValueExprCast, setValueExprCombinedLeft, setValueExprCombinedRight, setValueExprFunction, setValueExprLabeledDuration, setValueExprRow, setValuesRow`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.query.SQLQueryObject
`getSourceInfo, getSQL, setSourceInfo, setSQL`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getExtensions, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.expressions.ValueExpression
`getSQL, setSQL`

Method Detail

### getReturningOption

    XMLReturningType getReturningOption()

  Returns the value of the 'Returning Option' attribute. The literals are from the enumeration `XMLReturningType`.

  If the meaning of the 'Returning Option' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Returning Option' attribute.
  See Also:
    `XMLReturningType`, `setReturningOption(XMLReturningType)`, `SQLXMLQueryModelPackage.getXMLValueFunctionComment_ReturningOption()`

### setReturningOption

    void setReturningOption(XMLReturningType value)

  Sets the value of the '`Returning Option`' attribute.

  Parameters:
    `value` - the new value of the 'Returning Option' attribute.
  See Also:
    `XMLReturningType`, `getReturningOption()`

### getCommentContent

    XMLValueFunctionCommentContent getCommentContent()

  Returns the value of the 'Comment Content' containment reference. It is bidirectional and its opposite is '`Value Function Comment`'.

  If the meaning of the 'Comment Content' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Comment Content' containment reference.
  See Also:
    `setCommentContent(XMLValueFunctionCommentContent)`, `SQLXMLQueryModelPackage.getXMLValueFunctionComment_CommentContent()`, `XMLValueFunctionCommentContent.getValueFunctionComment()`

### setCommentContent

    void setCommentContent(XMLValueFunctionCommentContent value)

  Sets the value of the '`Comment Content`' containment reference.

  Parameters:
    `value` - the new value of the 'Comment Content' containment reference.
  See Also:
    `getCommentContent()`